<!DOCTYPE html>
<html lang="zxx">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <title>WeArch Developers</title>
    <link rel="shortcut icon" href="img/favicon.png" />
    <link rel="stylesheet" href="css/plugins.css" />
    <link rel="stylesheet" href="css/style.css" />
</head>
<body>
    <!-- Preloader -->
    <div class="preloader-bg"></div><div id="preloader"><div id="preloader-status"><div class="preloader-position loader"><span></span></div></div></div>
    <!-- Progress scroll totop -->
    <div class="progress-wrap cursor-pointer">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg">
        <!-- Logo -->
        <div class="logo-wrapper valign">
            <div class="logo">
                <a href="index.php"> <img src="img/logo.png" class="logo-img-1" alt="">
                  
                </a>
            </div>
        </div>
        <!-- Button -->
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation"> <span class="navbar-toggler-icon"><i class="ti-menu"></i></span> </button>
        <!-- Menu -->
        <div class="collapse navbar-collapse" id="navbar">
                 <ul class="navbar-nav ms-auto">
                <li class="nav-item"><a class="nav-link" href="index.php">Home</a></li>
                <li class="nav-item"><a class="nav-link active" href="about.php">About</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">Services</a></li>
                <li class="nav-item"><a class="nav-link" href="projects.php">Projects</a></li>
                <li class="nav-item"><a class="nav-link" href="videos.php">Videos</a></li>
                <li class="nav-item"><a class="nav-link" href="blog.php">Blog</a></li>
                <li class="nav-item"><a class="nav-link" href="careers.php">Careers</a></li>
                <li class="nav-item"><a class="nav-link" href="contact.php">Contact</a></li>
            </ul>
        </div>
    </nav>
    <!-- Content -->
    <div class="content-wrapper">
        <!-- Lines -->
        <section class="content-lines-wrapper">
            <div class="content-lines-inner">
                <div class="content-lines"></div>
            </div>
        </section>
        <!-- Header Banner -->
        <section class="banner-header banner-img valign bg-img bg-fixed" data-overlay-darkgray="5" data-background="img/banner.jpg">
            <!-- Left Panel -->
            <div class="left-panel"></div>
        </section>
        <!-- About -->
        <section class="about section-padding2">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 mb-30 animate-box" data-animate-effect="fadeInUp">
                        <h2 class="section-title">About <span>WeArch</span></h2>
                       	<p>WeArch Developers is a multi-disciplined architectural business with offices in Kochi, Kerala. We are extremely proud 
						to be one of the top architectural firms in Kochi. Our team comprises talented designers and architects who are dedicated 
						to providing innovative and sustainable design solutions for our valued clients.</p>
					<p>Led by our Managing Director and Chief Designer, Mr. Linson Jolly, who has over 12 years of experience and expertise in the architectural industry, WeArch Developers is committed to creating spaces that are both functional and beautiful. Our team includes some of 
					the best architects in Ernakulam, and we pride ourselves on our ability to work collaboratively with clients to ensure that their vision is brought to life.</p>
					<p>At WeArch Developers, we believe that good design should be accessible to everyone, and we are committed to providing high-quality services that are both affordable and efficient. Contact us today to learn more about how we can help you with your next project.</p>
					
					</div>
					
					
                    <div class="col-md-6 animate-box" data-animate-effect="fadeInUp">
                        <div class="about-img">
                            <div class="img"> <img src="img/services/14.jpg" class="img-fluid" alt=""> </div>
                            <div class="about-img-2 about-buro">WeArch</div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
     
	         <!-- Post -->
        <section class="section-padding2">
            <div class="container">
                <div class="row">
                    <div class="col-md-12"> <img src="img/slider/01.jpg" class="mb-30" alt="">
                        <h2 class="section-title2">Our Speciality</h2>
                       <p>At WeArch Developers- Architects Kochi, we are proud to be one of the architecture firms in Kochi , and we have some of the best architects in Ernakulam on our team. Our team is highly skilled and experienced in all aspects of architectural design, and we are committed to delivering innovative and sustainable design solutions for our clients. We understand that a home is more than just a physical structure, and as one of the best interior designers in Kochi, we strive to create living spaces that reflect the lifestyle and personality of their occupants. Our team of top architects in Ernakulam takes the time to understand our clients' needs and goals to create unique and functional living spaces that are both comfortable and aesthetically pleasing. We are proud to be recognized as one of the best construction companies in Kochi, and we continue to deliver exceptional service and quality work to our clients.</p>
                       <p>We specialize in not just residential design but also commercial and industrial design, catering to the needs of construction companies in Kerala. Our team has worked on a wide range of projects, from office buildings and retail spaces to factories and warehouses. We understand the importance of functionality and efficiency in commercial and industrial design, and we work closely with our clients to ensure that their needs are met. As one of the leading design companies in Kerala , we believe it is our responsibility as architects to create buildings and spaces that are environmentally friendly and sustainable. Our team of top architects in Ernakulam is experienced in designing buildings that incorporate energy-efficient systems and materials to reduce their impact on the environment.</p>
					   
					</div>
                </div>
               
            </div>
        </section>
		
		<!-- Faqs -->
        <section class="section-padding2">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title"><span>Frequently Asked Questions</span></h2>
                    </div>
                    <div class="col-md-6">
                        <ul class="accordion-box clearfix">
                            <li class="accordion block active-block">
                                <div class="acc-btn active"><span class="count">1.</span> What is WeArch Developers?</div>
                                <div class="acc-content current">
                                    <div class="content">
                                        <div class="text">WeArch Developers is one of the top architecture firms in Kochi, Kerala, with a team of best architects in Ernakulam who specialize in innovative and sustainable design solutions for residential, commercial, and industrial projects.</div>
                                    </div>
                                </div>
                            </li>
                            <li class="accordion block">
                                <div class="acc-btn"><span class="count">2.</span> What services does WeArch Developers offer?</div>
                                <div class="acc-content">
                                    <div class="content">
                                        <div class="text">WeArch Developers offers a wide range of architectural services, including conceptual design, construction documentation, project management, and more. Our team of top architects in Ernakulam works closely with clients to ensure that their needs and goals are met.</div>
                                    </div>
                                </div>
                            </li>
                          
                        </ul>
                    </div>
                    <div class="col-md-6">
                        <ul class="accordion-box clearfix">
                            <li class="accordion block">
                                <div class="acc-btn"><span class="count">3.</span> How experienced is the team at WeArch Developers? </div>
                                <div class="acc-content">
                                    <div class="content">
                                        <div class="text">Our team of the best architects in Ernakulam has a combined experience of many years in the architectural industry. We have worked on a wide range of projects, from small residential renovations to large-scale commercial and industrial buildings.</div>
                                    </div>
                                </div>
                            </li>
                            <li class="accordion block">
                                <div class="acc-btn"><span class="count">4.</span> What is the approach of WeArch Developers to sustainable design?</div>
                                <div class="acc-content">
                                    <div class="content">
                                        <div class="text">At WeArch Developers, we believe in sustainable design and are committed to reducing the environmental impact of our projects. Our team of top architects in Ernakulam incorporates energy-efficient systems and materials in our designs to create buildings that are both functional and environmentally friendly.</div>
                                    </div>
                                </div>
                            </li>
                          
						  
                        </ul>
                    </div>
                </div>
            </div>
        </section>
       
        <!-- Promo video - Testiominals -->
        <section class="testimonials">
            <div class="background bg-img bg-fixed section-padding pb-0" data-background="img/banner2.jpg" data-overlay-dark="3">
                <div class="container">
                    <div class="row">
                        <!-- Promo video -->
                        <div class="col-md-6">
                            <div class="vid-area">
                                <div class="vid-icon">
                                    <a class="play-button vid" href="https://youtu.be/RziCmLzpFNY">
                                        <svg class="circle-fill">
                                            <circle cx="43" cy="43" r="39" stroke="#fff" stroke-width=".5"></circle>
                                        </svg>
                                        <svg class="circle-track">
                                            <circle cx="43" cy="43" r="39" stroke="none" stroke-width="1" fill="none"></circle>
                                        </svg> <span class="polygon">
                                            <i class="ti-control-play"></i>
                                        </span> </a>
                                </div>
                                <div class="cont mt-15 mb-30">
                                    <h5>View promo video</h5>
                                </div>
                            </div>
                        </div>
                        <!-- Testiominals -->
                        <div class="col-md-5 offset-md-1">
                            <div class="testimonials-box animate-box" data-animate-effect="fadeInUp">
                                <div class="head-box">
                                    <h4>What Client's Say?</h4>
                                </div>
                                <div class="owl-carousel owl-theme">
                                    <div class="item"> <span class="quote"><img src="img/quot.png" alt=""></span>
                                        <p>Architect dapibus augue metus the nec feugiat erat hendrerit nec. Duis ve ante the lemon sanleo nec feugiat erat hendrerit necuis ve ante.</p>
                                        <div class="info">
                                            <div class="author-img"> <img src="img/team/1.jpg" alt=""> </div>
                                            <div class="cont">
                                                <h6>Jason Brown</h6> <span>Crowne Plaza Owner</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="item"> <span class="quote">
                                            <img src="img/quot.png" alt="">
                                        </span>
                                        <p>Interior dapibus augue metus the nec feugiat erat hendrerit nec. Duis ve ante the lemon sanleo nec feugiat erat hendrerit necuis ve ante.</p>
                                        <div class="info">
                                            <div class="author-img"> <img src="img/team/2.jpg" alt=""> </div>
                                            <div class="cont">
                                                <h6>Emily White</h6> <span>Armada Owner</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="item"> <span class="quote">
                                            <img src="img/quot.png" alt="">
                                        </span>
                                        <p>Urban dapibus augue metus the nec feugiat erat hendrerit nec. Duis ve ante the lemon sanleo nec feugiat erat hendrerit necuis ve ante.</p>
                                        <div class="info">
                                            <div class="author-img"> <img src="img/team/4.jpg" alt=""> </div>
                                            <div class="cont">
                                                <h6>Jesica Smith</h6> <span>Alsa Manager</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- Clients -->
        <section class="clients">
			<div class="container">
				<div class="row">
					<div class="col-md-7">
                        <div class="owl-carousel owl-theme">
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/1.png" alt=""></a>
                            </div>
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/2.png" alt=""></a>
                            </div>
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/3.png" alt=""></a>
                            </div>
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/4.png" alt=""></a>
                            </div>
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/5.png" alt=""></a>
                            </div>
                            <div class="clients-logo">
                                <a href="#0"><img src="img/clients/6.png" alt=""></a>
                            </div>
                        </div>
                    </div>
				</div>
			</div>
		</section>
        <!-- Footer -->
        <footer class="main-footer dark">
            <div class="container">
                <div class="row">
                    <div class="col-md-4 mb-30">
                        <div class="item fotcont">
                            <div class="fothead">
                                <h6>Phone</h6>
                            </div>
                            <p>+1 203-123-0606</p>
                        </div>
                    </div>
                    <div class="col-md-4 mb-30">
                        <div class="item fotcont">
                            <div class="fothead">
                                <h6>Email</h6>
                            </div>
                            <p>architecture@bauen.com</p>
                        </div>
                    </div>
                    <div class="col-md-4 mb-30">
                        <div class="item fotcont">
                            <div class="fothead">
                                <h6>Our Address</h6>
                            </div>
                            <p>24 King St, Charleston, SC 29401 USA</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="sub-footer">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="text-left">
                                <p>© 2023 Bauen. All right reserved.</p>
                            </div>
                        </div>
                        <div class="col-md-4 abot">
                            <div class="social-icon"> <a href="index.php"><i class="ti-facebook"></i></a> <a href="index.php"><i class="ti-twitter"></i></a> <a href="index.php"><i class="ti-instagram"></i></a> <a href="index.php"><i class="ti-pinterest"></i></a> </div>
                        </div>
                        <div class="col-md-4">
                            <p class="right"><a href="#">Terms &amp; Conditions</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    </div>
    <!-- jQuery -->
    <script src="js/jquery-3.6.3.min.js"></script>
    <script src="js/jquery-migrate-3.0.0.min.js"></script>
    <script src="js/modernizr-2.6.2.min.js"></script>
    <script src="js/imagesloaded.pkgd.min.js"></script>
    <script src="js/jquery.isotope.v3.0.2.js"></script>
    
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/scrollIt.min.js"></script>
    <script src="js/jquery.waypoints.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.stellar.min.js"></script>
    <script src="js/jquery.magnific-popup.js"></script>
    <script src="js/YouTubePopUp.js"></script>
    <script src="js/before-after.js"></script>
    <script src="js/custom.js"></script>
</body>
</html>